on SetPanoNode pNodeID, pUpdate, pQuality
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
    QTVRSetNodeID(gQTVRInstance, integer(pNodeID))
    if not voidp(pQuality) then
      QTVRSetQuality(gQTVRInstance, pQuality)
    end if
    if pUpdate then
      QTVRUpdate(gQTVRInstance)
    end if
  end if
end

on SwingPanoMovie pHPan, pVPan, pZoom, pSwingSpeed, pSwingQuality, pFinalQuality
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
    QTVRSetFOV(gQTVRInstance, pZoom)
    QTVRSetTiltAngle(gQTVRInstance, pVPan)
    QTVRSetPanAngle(gQTVRInstance, pHPan)
    QTVRSetQuality(gQTVRInstance, pSwingQuality)
    QTVRSetTransitionMode(gQTVRInstance, "swing")
    QTVRSetTransitionSpeed(gQTVRInstance, pSwingSpeed)
    QTVRUpdate(gQTVRInstance)
    QTVRSetTransitionMode(gQTVRInstance, "normal")
    if pFinalQuality <> pSwingQuality then
      QTVRSetQuality(gQTVRInstance, pFinalQuality)
      QTVRUpdate(gQTVRInstance)
    end if
  end if
end

on CollapsePanoMovie
  global gQTVRInstance
  if the machineType <> 256 then
    if IsQTVRMovie(gQTVRInstance) then
      QTVRCollapseToHotSpotRgn(gQTVRInstance)
    end if
  end if
end
