on InitPanoCallbacks
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
    QTVRSetRolloverHotSpotHandler(gQTVRInstance, "sampleRolloverHotSpotHandler")
    QTVRSetMouseOverHandler(gQTVRInstance, EMPTY)
    QTVRSetMouseDownHandler(gQTVRInstance, EMPTY)
    QTVRSetPanZoomStartHandler(gQTVRInstance, EMPTY)
    QTVRSetMouseStillDownHandler(gQTVRInstance, EMPTY)
    QTVRSetNodeLeaveHandler(gQTVRInstance, EMPTY)
  end if
end

on TestMouseOverHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on TestRolloverHotSpotHandler pHotSpotID
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
    if pHotSpotID = 0 then
    else
      QTVRSetHotSpotID(gQTVRInstance, integer(pHotSpotID))
      set spotName to QTVRGetHotSpotName(gQTVRInstance)
    end if
  end if
end

on TestMouseDownHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
    QTVRPassMouseDown(gQTVRInstance)
  end if
end

on TestPanZoomStartHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on TestMouseStillDownHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on TestNodeLeaveHandler pToNode
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on SampleMouseOverHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on SampleRolloverHotSpotHandler pHotSpotID
  global gQTVRInstance
end

on SampleMouseDownHandler
  global gPanoMovieID
  if IsQTVRMovie(gQTVRInstance) then
    QTVRPassMouseDown(gQTVRInstance)
  end if
end

on SamplePanZoomStartHandler
end

on SampleMouseStillDownHandler
  global gQTVRInstance
  if IsQTVRMovie(gQTVRInstance) then
  end if
end

on SampleNodeLeaveHandler pToNode
end

factory CallBackTracer
method mnew

method mEvalExpr pExpr

method mSendHCMessage pMessage

method mSendCardMessage pMessage
  do(pMessage)

method mGetFieldByName pCard, pName

method mGetFieldByNum pCard, pNum

method mGetFieldByID pCard, pID

method mSetFieldByName pCard, pName, pValue

method mSetFieldByNum pCard, pNum, pValue

method mSetFieldByID pCard, pID, pValue
